linux qtopia-2.2.0编译,qtopia-2.2.0在linux上的安装(基于mini2440)

环境:

fedora9、ubuntu10.04

x86-qtopia、arm-qtopia

gcc-4.3.x、g++-4.3.x

arm-linux-4.3.2

一、x86-qtopia的安装

x86-qtopia的安装不管在哪一版本中的linux中,必须采用gcc-4.3.x、g++-4.3.x的编译器(或以下,没测试过),编译过程才不会莫名其妙出现很多错误。采用gcc-4.4或g++-4.4将出现错误,编译无法通过。

总结:1、编译器版本是关键,采用gcc-4.3.x、g++-4.3.x,不可采用过高版本。

gcc版本查看命令:gcc -v

g++版本查看命令:g++ -v

2、fedora9系统采用完全安装的,那么很多库就已经安装上了。如果没有采用完全安装或采用

ubuntu(ubuntu一般不采用完全安装),编译过程中将会出现缺少某些库的情况。此时,要根据

错误情况,将相应的库安装上。

3、编译时,在root环境下操作。

二、arm-qtopia的安装

....

  • 0
    点赞
  • 0
    收藏
  • 0
    评论

“相关推荐”对你有帮助么?

  • 非常没帮助
  • 没帮助
  • 一般
  • 有帮助
  • 非常有帮助
提交
©️2022 CSDN 皮肤主题:深蓝海洋 设计师:CSDN官方博客 返回首页
评论
实付
使用余额支付
点击重新获取
扫码支付
钱包余额 0

抵扣说明:

1.余额是钱包充值的虚拟货币,按照1:1的比例进行支付金额的抵扣。
2.余额无法直接购买下载,可以购买VIP、C币套餐、付费专栏及课程。

余额充值